import request from '@/utils/request'
import { parseStrEmpty } from "@/utils/ruoyi";

/**
 * 根据条件分页查询审查事项列表
 * @param query
 * @returns {*}
 */
export function listMatter(query) {
  return request({
    url: '/nasc/matter/list',
    method: 'get',
    params: query
  })
}

/**
 * 按照条件查询所有审查事项
 * @param query
 * @returns {AxiosPromise}
 */
export function listMatterAll(query) {
  return request({
    url: '/nasc/matter/listAll',
    method: 'get',
    params: query
  })
}

/**
 * 新增审查事项
 * @param data
 * @returns {*}
 */
export function addMatter(data) {
  return request({
    url: '/nasc/matter',
    method: 'post',
    data: data
  })
}

/**
 * 修改审查事项
 * @param data
 * @returns {AxiosPromise}
 */
export function updateMatter(data) {
  return request({
    url: '/nasc/matter',
    method: 'put',
    data: data
  })
}

/**
 * 删除审查事项
 * @param data
 * @returns {AxiosPromise}
 */
export function delMatter(id) {
  return request({
    url: '/nasc/matter/' + id,
    method: 'delete'
  })
}

/**
 * 根据ID获取事项信息
 * @param id
 * @returns {*}
 */
export function getMatter(id) {
  return request({
    url: '/nasc/matter/' + parseStrEmpty(id),
    method: 'get'
  })
}
